Skip to content
Letterhead Letterhead Letterhead Help Center
Admin Tools

Create or update an audience member (deprecated)

Deprecated
POST
/api/v3/audience
curl --request POST \
--url https://api.tryletterhead.com/api/v3/audience \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form CRMID=example \
--form addressLine1=example \
--form addressLine2=example \
--form age=example \
--form allowStatusOverride=example \
--form api=example \
--form attitudes=example \
--form beliefs=example \
--form birthday=example \
--form businessWebsite=example \
--form channelSubscriberStatus=example \
--form 'channels[]=example' \
--form children=example \
--form city=example \
--form contentTopics=example \
--form country=example \
--form customBehavior1=example \
--form customBehavior2=example \
--form customBehavior3=example \
--form customBehavior4=example \
--form customID1=example \
--form customID2=example \
--form customID3=example \
--form customID4=example \
--form customWebProfile1=example \
--form customWebProfile2=example \
--form customWebProfile3=example \
--form customWebProfile4=example \
--form deliveryPreference=example \
--form education=example \
--form email=example \
--form ethnicity=example \
--form events=example \
--form facebookProfileName=example \
--form gender=example \
--form githubProfileName=example \
--form googleProfileName=example \
--form homePhone=example \
--form honorific=example \
--form instagramProfileName=example \
--form interests=example \
--form jobCompanyOrOrganizationName=example \
--form jobTitle=example \
--form language=example \
--form latitude=example \
--form linkedInProfileName=example \
--form longitude=example \
--form maritalStatus=example \
--form memberStatus=example \
--form memberStatusChangedDate=example \
--form mobilePhone=example \
--form mostEngagedSources=example \
--form mostEngagedTopics=example \
--form name=example \
--form notes=example \
--form pets=example \
--form politicalAffiliation=example \
--form postalCode=example \
--form pronouns=example \
--form purchases=example \
--form race=example \
--form referralSource=example \
--form referralStatus=example \
--form referredByEmail=example \
--form referredByFirstName=example \
--form referredByLastName=example \
--form region=example \
--form religion=example \
--form sexualOrientation=example \
--form snapchatProfileName=example \
--form stateProvince=example \
--form suffix=example \
--form surname=example \
--form tikTokProfileName=example \
--form timeZone=example \
--form twitterProfileName=example \
--form website=example \
--form websiteProfileName=example \
--form welcome=example \
--form workPhone=example

This endpoint is deprecated in favor of the company-wide Contacts endpoints, which do the same job with more flexibility and at a larger scale. It is documented here for accounts still calling it; use the Contacts endpoints for anything new.

Replaced by POST /api/v3/contacts, which does the same job across your whole company audience.

Media type multipart/form-data
object
CRMID
string
addressLine1
string
addressLine2
string
age
string
allowStatusOverride

When set to true, Letterhead will accept whatever status you pass as part of channelSubscriberStatus. When false, Letterhead introduces a few layers of protection to prevent accidental status changes. For a sure thing, set this to true.

string
api

required | When set to true, this endpoint will accept authorization with your API Key.

string
attitudes
string
beliefs
string
birthday
string
businessWebsite
string
channelSubscriberStatus

required | The intended subscription status of your audience member. Letterhead will try to protect against accidental status changes, so this needs to be used in conjunction with allowStatusOverride.

string
channels[]

required string[]| The slug or the unique identifier of a channel belonging to your organization.

string
children
string
city
string
contentTopics
string
country
string
customBehavior1
string
customBehavior2
string
customBehavior3
string
customBehavior4
string
customID1
string
customID2
string
customID3
string
customID4
string
customWebProfile1
string
customWebProfile2
string
customWebProfile3
string
customWebProfile4
string
deliveryPreference
string
education
string
email

required | The email address of your audience member.

string
ethnicity
string
events
string
facebookProfileName
string
gender
string
githubProfileName
string
googleProfileName
string
homePhone
string
honorific
string
instagramProfileName
string
interests
string
jobCompanyOrOrganizationName
string
jobTitle
string
language
string
latitude
string
linkedInProfileName
string
longitude
string
maritalStatus
string
memberStatus
string
memberStatusChangedDate
string
mobilePhone
string
mostEngagedSources
string
mostEngagedTopics
string
name
string
notes
string
pets
string
politicalAffiliation
string
postalCode
string
pronouns
string
purchases
string
race
string
referralSource
string
referralStatus
string
referredByEmail
string
referredByFirstName
string
referredByLastName
string
region
string
religion
string
sexualOrientation
string
snapchatProfileName
string
stateProvince
string
suffix
string
surname
string
tikTokProfileName
string
timeZone
string
twitterProfileName
string
website
string
websiteProfileName
string
welcome

When set to true, trigger a Welcome email when a new audience member is added. The “Welcome” automation must be configured in a given channel. Note that when true this will send regardless of the audience member’s subscription status.

string
workPhone
string

Successful response

Still can’t find what you need? Contact support.